Browse Source

Sync with portage [Thu May 6 22:25:51 MSK 2021].

tags/1957
Calculate Linux 1 month ago
parent
commit
bf44a513e3
100 changed files with 610 additions and 418 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      app-arch/Manifest.gz
  3. +1
    -1
      app-arch/mt-st/mt-st-1.4.ebuild
  4. BIN
      app-crypt/Manifest.gz
  5. +1
    -1
      app-crypt/acme/Manifest
  6. +1
    -2
      app-crypt/acme/acme-1.15.0.ebuild
  7. +1
    -1
      app-crypt/certbot-apache/Manifest
  8. +1
    -1
      app-crypt/certbot-apache/certbot-apache-1.15.0.ebuild
  9. +1
    -1
      app-crypt/certbot-nginx/Manifest
  10. +1
    -1
      app-crypt/certbot-nginx/certbot-nginx-1.15.0.ebuild
  11. +1
    -1
      app-crypt/certbot/Manifest
  12. +1
    -1
      app-crypt/certbot/certbot-1.15.0.ebuild
  13. BIN
      app-editors/Manifest.gz
  14. +1
    -1
      app-editors/lpe/lpe-1.2.8_p20210401.ebuild
  15. +1
    -1
      app-editors/nano/nano-5.6.1.ebuild
  16. BIN
      app-emulation/Manifest.gz
  17. +1
    -1
      app-emulation/qemu/qemu-5.2.0-r3.ebuild
  18. BIN
      app-eselect/Manifest.gz
  19. +2
    -2
      app-eselect/eselect-timezone/eselect-timezone-0.2.ebuild
  20. BIN
      app-i18n/Manifest.gz
  21. +37
    -0
      app-i18n/xcin/files/xcin-2.5.3_pre3-slibtool.patch
  22. +1
    -0
      app-i18n/xcin/xcin-2.5.3_pre3-r3.ebuild
  23. BIN
      app-office/Manifest.gz
  24. +1
    -1
      app-office/homebank/homebank-5.5.1.ebuild
  25. BIN
      app-portage/Manifest.gz
  26. +1
    -1
      app-portage/gs-elpa/Manifest
  27. +0
    -0
      app-portage/gs-elpa/gs-elpa-0.2.1.ebuild
  28. BIN
      app-text/Manifest.gz
  29. +1
    -1
      app-text/gocr/gocr-0.52.ebuild
  30. +0
    -1
      app-text/sdcv/Manifest
  31. +0
    -17
      app-text/sdcv/files/sdcv-t_list.patch
  32. +0
    -74
      app-text/sdcv/sdcv-0.5.2.ebuild
  33. +1
    -1
      app-text/sdcv/sdcv-0.5.3.ebuild
  34. BIN
      dev-db/Manifest.gz
  35. +2
    -0
      dev-db/redis/redis-6.0.13-r1.ebuild
  36. +2
    -0
      dev-db/redis/redis-6.2.3-r1.ebuild
  37. BIN
      dev-java/Manifest.gz
  38. +1
    -0
      dev-java/asm-analysis/asm-analysis-9.1.ebuild
  39. +1
    -0
      dev-java/asm-commons/asm-commons-9.1.ebuild
  40. +1
    -0
      dev-java/asm-tree/asm-tree-9.1.ebuild
  41. +1
    -0
      dev-java/asm-util/asm-util-9.1.ebuild
  42. +1
    -0
      dev-java/asm/asm-9.1.ebuild
  43. +1
    -1
      dev-java/commons-codec/commons-codec-1.15.ebuild
  44. +1
    -1
      dev-java/commons-collections/commons-collections-4.1-r1.ebuild
  45. +1
    -1
      dev-java/commons-logging/commons-logging-1.2-r3.ebuild
  46. +1
    -1
      dev-java/commons-math/commons-math-3.6.1-r1.ebuild
  47. +1
    -1
      dev-java/jackcess/jackcess-4.0.0.ebuild
  48. +4
    -4
      dev-java/jffi/files/jffi-1.2.8-makefile.patch
  49. +16
    -14
      dev-java/jffi/jffi-1.2.9-r1.ebuild
  50. +1
    -0
      dev-java/jnr-a64asm/Manifest
  51. +32
    -0
      dev-java/jnr-a64asm/jnr-a64asm-1.0.0.ebuild
  52. +7
    -0
      dev-java/jnr-a64asm/metadata.xml
  53. +2
    -1
      dev-java/jnr-x86asm/jnr-x86asm-1.0.2-r1.ebuild
  54. +0
    -2
      dev-java/junit/Manifest
  55. +0
    -55
      dev-java/junit/junit-4.12-r1.ebuild
  56. +0
    -60
      dev-java/junit/junit-4.13.1.ebuild
  57. +1
    -1
      dev-java/junit/junit-4.13.2.ebuild
  58. +1
    -1
      dev-java/objenesis-test/objenesis-test-3.2.ebuild
  59. +0
    -1
      dev-java/objenesis/Manifest
  60. +0
    -29
      dev-java/objenesis/objenesis-1.3-r1.ebuild
  61. +1
    -1
      dev-java/objenesis/objenesis-3.2.ebuild
  62. +1
    -1
      dev-java/poi/poi-5.0.0.ebuild
  63. +1
    -1
      dev-java/sparsebitset/sparsebitset-1.2.ebuild
  64. +1
    -1
      dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.44.ebuild
  65. BIN
      dev-lang/Manifest.gz
  66. +1
    -0
      dev-lang/erlang/Manifest
  67. +155
    -0
      dev-lang/erlang/erlang-23.3.3.ebuild
  68. +1
    -1
      dev-lang/php/Manifest
  69. +0
    -0
      dev-lang/php/php-7.4.19.ebuild
  70. +92
    -0
      dev-lang/rust/files/1.51.0-slow-doc-install.patch
  71. +9
    -1
      dev-lang/rust/rust-1.51.0-r2.ebuild
  72. BIN
      dev-libs/Manifest.gz
  73. +1
    -0
      dev-libs/clhpp/Manifest
  74. +28
    -0
      dev-libs/clhpp/clhpp-2.0.14.ebuild
  75. +1
    -0
      dev-libs/gjs/Manifest
  76. +49
    -0
      dev-libs/gjs/gjs-1.68.1.ebuild
  77. +1
    -1
      dev-libs/imath/imath-3.0.1.ebuild
  78. +0
    -2
      dev-libs/libunibreak/Manifest
  79. +0
    -55
      dev-libs/libunibreak/libunibreak-4.1.ebuild
  80. +0
    -55
      dev-libs/libunibreak/libunibreak-4.2.ebuild
  81. +1
    -0
      dev-libs/opencl-icd-loader/Manifest
  82. +40
    -0
      dev-libs/opencl-icd-loader/opencl-icd-loader-2021.04.29.ebuild
  83. +24
    -0
      dev-libs/openct/files/openct-0.6.20-automake.patch
  84. +34
    -0
      dev-libs/openct/files/openct-0.6.20-slibtool.patch
  85. +11
    -1
      dev-libs/openct/openct-0.6.20-r4.ebuild
  86. +11
    -1
      dev-libs/openct/openct-0.6.20-r5.ebuild
  87. BIN
      dev-ml/Manifest.gz
  88. +1
    -1
      dev-ml/alcotest/alcotest-1.2.3-r3.ebuild
  89. +1
    -1
      dev-ml/astring/astring-0.8.5.ebuild
  90. +1
    -1
      dev-ml/async_kernel/async_kernel-0.14.0.ebuild
  91. +1
    -1
      dev-ml/async_unix/async_unix-0.14.0.ebuild
  92. +1
    -1
      dev-ml/duration/duration-0.1.3.ebuild
  93. +1
    -1
      dev-ml/fmt/fmt-0.8.9-r1.ebuild
  94. +1
    -1
      dev-ml/logs/logs-0.7.0.ebuild
  95. +1
    -1
      dev-ml/mirage-clock/mirage-clock-3.1.0.ebuild
  96. +1
    -1
      dev-ml/mtime/mtime-1.1.0.ebuild
  97. +1
    -1
      dev-ml/opam-file-format/opam-file-format-2.1.2.ebuild
  98. +1
    -1
      dev-ml/uuidm/uuidm-0.9.7.ebuild
  99. +1
    -1
      dev-perl/Alien-Base-ModuleBuild/Alien-Base-ModuleBuild-1.150.0.ebuild
  100. +1
    -1
      dev-perl/Alien-Build/Alien-Build-2.380.0.ebuild

BIN
Manifest.files.gz View File


BIN
app-arch/Manifest.gz View File


+ 1
- 1
app-arch/mt-st/mt-st-1.4.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/iustin/mt-st/releases/download/v${PV}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"

src_configure() {
tc-export CC


BIN
app-crypt/Manifest.gz View File


+ 1
- 1
app-crypt/acme/Manifest View File

@@ -1,3 +1,3 @@
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa
DIST certbot-1.13.0.tar.gz 1426058 BLAKE2B 661aeb430e468a46362c537efd253bb581c7e94b32c67131ae951a67b14d8b6d0f806b7c66a7f60375bb5fe95c714e1b58d3c811d5e0ee21e371b1ff611f74a8 SHA512 1c88027a2259ef9cfb852dd5bd0d326de52d8d7bcec984ee50dc7e5dfe60e2ea68b50afa255b95b2cac08f51467d6584d5671f2410b112b50ce5e4312969ad48
DIST certbot-1.14.0.tar.gz 1415709 BLAKE2B db06b380f70eb6e674d935870582489a722fb8b38fba7535a642200dd6a9d036f55742286129266556f6313e232b2a45003b17f7c34e5f7087b6ab14261a8132 SHA512 39ae44374cdbac11c544d4d3194debf4f98c8d8459138a650ab276f59c84e8c8d738bdc056d444506a326280c1f9fb84356a9a8f4fa6a138d701bdf792b817e5
DIST certbot-1.15.0.tar.gz 1379695 BLAKE2B 002fe05d7ba0bdcb142b57ef2ce6cae4d3e69603f253af6be6e8381311e4962a4c51ef0212d1dfc151af5b40a27a13c22bfff261dead5f8c5bc0ade7f595ca28 SHA512 373447e150974cb1d72cb4eaffe6a8563ce7a43cdd84286bd11dab69d83f52f2736b6538cf5d38c10f7af838437124da9f2de71b6819fcf9347230df05df8259

app-crypt/acme/acme-1.12.0.ebuild → app-crypt/acme/acme-1.15.0.ebuild View File

@@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
S=${WORKDIR}/certbot-${PV}/acme
fi

@@ -34,7 +34,6 @@ RDEPEND="
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
>=dev-python/six-1.11.0[${PYTHON_USEDEP}]
"
DEPEND="
doc? (

+ 1
- 1
app-crypt/certbot-apache/Manifest View File

@@ -1,3 +1,3 @@
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa
DIST certbot-1.13.0.tar.gz 1426058 BLAKE2B 661aeb430e468a46362c537efd253bb581c7e94b32c67131ae951a67b14d8b6d0f806b7c66a7f60375bb5fe95c714e1b58d3c811d5e0ee21e371b1ff611f74a8 SHA512 1c88027a2259ef9cfb852dd5bd0d326de52d8d7bcec984ee50dc7e5dfe60e2ea68b50afa255b95b2cac08f51467d6584d5671f2410b112b50ce5e4312969ad48
DIST certbot-1.14.0.tar.gz 1415709 BLAKE2B db06b380f70eb6e674d935870582489a722fb8b38fba7535a642200dd6a9d036f55742286129266556f6313e232b2a45003b17f7c34e5f7087b6ab14261a8132 SHA512 39ae44374cdbac11c544d4d3194debf4f98c8d8459138a650ab276f59c84e8c8d738bdc056d444506a326280c1f9fb84356a9a8f4fa6a138d701bdf792b817e5
DIST certbot-1.15.0.tar.gz 1379695 BLAKE2B 002fe05d7ba0bdcb142b57ef2ce6cae4d3e69603f253af6be6e8381311e4962a4c51ef0212d1dfc151af5b40a27a13c22bfff261dead5f8c5bc0ade7f595ca28 SHA512 373447e150974cb1d72cb4eaffe6a8563ce7a43cdd84286bd11dab69d83f52f2736b6538cf5d38c10f7af838437124da9f2de71b6819fcf9347230df05df8259

app-crypt/certbot-apache/certbot-apache-1.12.0.ebuild → app-crypt/certbot-apache/certbot-apache-1.15.0.ebuild View File

@@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm64 x86"
KEYWORDS="~amd64 ~arm64 ~x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi


+ 1
- 1
app-crypt/certbot-nginx/Manifest View File

@@ -1,3 +1,3 @@
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa
DIST certbot-1.13.0.tar.gz 1426058 BLAKE2B 661aeb430e468a46362c537efd253bb581c7e94b32c67131ae951a67b14d8b6d0f806b7c66a7f60375bb5fe95c714e1b58d3c811d5e0ee21e371b1ff611f74a8 SHA512 1c88027a2259ef9cfb852dd5bd0d326de52d8d7bcec984ee50dc7e5dfe60e2ea68b50afa255b95b2cac08f51467d6584d5671f2410b112b50ce5e4312969ad48
DIST certbot-1.14.0.tar.gz 1415709 BLAKE2B db06b380f70eb6e674d935870582489a722fb8b38fba7535a642200dd6a9d036f55742286129266556f6313e232b2a45003b17f7c34e5f7087b6ab14261a8132 SHA512 39ae44374cdbac11c544d4d3194debf4f98c8d8459138a650ab276f59c84e8c8d738bdc056d444506a326280c1f9fb84356a9a8f4fa6a138d701bdf792b817e5
DIST certbot-1.15.0.tar.gz 1379695 BLAKE2B 002fe05d7ba0bdcb142b57ef2ce6cae4d3e69603f253af6be6e8381311e4962a4c51ef0212d1dfc151af5b40a27a13c22bfff261dead5f8c5bc0ade7f595ca28 SHA512 373447e150974cb1d72cb4eaffe6a8563ce7a43cdd84286bd11dab69d83f52f2736b6538cf5d38c10f7af838437124da9f2de71b6819fcf9347230df05df8259

app-crypt/certbot-nginx/certbot-nginx-1.12.0.ebuild → app-crypt/certbot-nginx/certbot-nginx-1.15.0.ebuild View File

@@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi


+ 1
- 1
app-crypt/certbot/Manifest View File

@@ -1,3 +1,3 @@
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa
DIST certbot-1.13.0.tar.gz 1426058 BLAKE2B 661aeb430e468a46362c537efd253bb581c7e94b32c67131ae951a67b14d8b6d0f806b7c66a7f60375bb5fe95c714e1b58d3c811d5e0ee21e371b1ff611f74a8 SHA512 1c88027a2259ef9cfb852dd5bd0d326de52d8d7bcec984ee50dc7e5dfe60e2ea68b50afa255b95b2cac08f51467d6584d5671f2410b112b50ce5e4312969ad48
DIST certbot-1.14.0.tar.gz 1415709 BLAKE2B db06b380f70eb6e674d935870582489a722fb8b38fba7535a642200dd6a9d036f55742286129266556f6313e232b2a45003b17f7c34e5f7087b6ab14261a8132 SHA512 39ae44374cdbac11c544d4d3194debf4f98c8d8459138a650ab276f59c84e8c8d738bdc056d444506a326280c1f9fb84356a9a8f4fa6a138d701bdf792b817e5
DIST certbot-1.15.0.tar.gz 1379695 BLAKE2B 002fe05d7ba0bdcb142b57ef2ce6cae4d3e69603f253af6be6e8381311e4962a4c51ef0212d1dfc151af5b40a27a13c22bfff261dead5f8c5bc0ade7f595ca28 SHA512 373447e150974cb1d72cb4eaffe6a8563ce7a43cdd84286bd11dab69d83f52f2736b6538cf5d38c10f7af838437124da9f2de71b6819fcf9347230df05df8259

app-crypt/certbot/certbot-1.12.0.ebuild → app-crypt/certbot/certbot-1.15.0.ebuild View File

@@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
S=${WORKDIR}/${P}/${PN}


BIN
app-editors/Manifest.gz View File


+ 1
- 1
app-editors/lpe/lpe-1.2.8_p20210401.ebuild View File

@@ -13,7 +13,7 @@ S="${WORKDIR}/${PN}-${COMMIT}"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86 ~x86-linux"
KEYWORDS="amd64 ppc sparc x86 ~x86-linux"
IUSE="nls"

RDEPEND="


+ 1
- 1
app-editors/nano/nano-5.6.1.ebuild View File

@@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
else
MY_P="${PN}-${PV/_}"
SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi

DESCRIPTION="GNU GPL'd Pico clone with more functionality"


BIN
app-emulation/Manifest.gz View File


+ 1
- 1
app-emulation/qemu/qemu-5.2.0-r3.ebuild View File

@@ -24,7 +24,7 @@ if [[ ${PV} = *9999* ]]; then
SRC_URI=""
else
SRC_URI="https://download.qemu.org/${P}.tar.xz"
KEYWORDS="amd64 arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 arm64 ~ppc ppc64 ~x86"
fi

DESCRIPTION="QEMU + Kernel-based Virtual Machine userland tools"


BIN
app-eselect/Manifest.gz View File


+ 2
- 2
app-eselect/eselect-timezone/eselect-timezone-0.2.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
@@ -9,7 +9,7 @@ SRC_URI="https://dev.gentoo.org/~junghans/distfiles/${P}.tar.xz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 x86"
KEYWORDS="amd64 arm arm64 x86"
IUSE=""

src_install() {


BIN
app-i18n/Manifest.gz View File


+ 37
- 0
app-i18n/xcin/files/xcin-2.5.3_pre3-slibtool.patch View File

@@ -0,0 +1,37 @@
commit 376d5276758b7eb2ee2b5e11d60f2105aac263f2
Author: orbea <orbea@riseup.net>
Date: Sat Apr 10 16:40:33 2021 -0700

build: Fix linking with slibtool.
Linking with the static libraries is not ideal, but since
that is what is provided...

diff --git a/src/Makefile.in b/src/Makefile.in
index 62e6154..ac15131 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -6,8 +6,8 @@ top_srcdir = @top_srcdir@
include $(top_srcdir)/Rules
INC = ${xcininc} ${intl_inc} ${x_includes} -I${ximd_inc}
-LIB = ${xcinlib} -lXimd -lim_comm lib/libxcin.la \
- ${x_libraries} ${locale_lib} ${dl_lib} ${intl_lib} -lm
+LIB = lib/libxcin.la lib/libim_comm.a lib/libXimd.a ${x_libraries} \
+ ${locale_lib} ${dl_libs} ${intl_lib} -lm
BIN = xcin
SRC = xcin_main.c module.c gui.c xim.c xim_IC.c fkey.c gui_main.c \
diff --git a/src/util/cin2tab/Makefile.in b/src/util/cin2tab/Makefile.in
index a2ad6f8..0663c5e 100644
--- a/src/util/cin2tab/Makefile.in
+++ b/src/util/cin2tab/Makefile.in
@@ -3,7 +3,7 @@ top_srcdir = @top_srcdir@
include $(top_srcdir)/Rules
INC = $(x_includes) $(xcininc) $(intl_inc)
-LIB = $(xcinlib) -lim_comm ../../lib/libxcin.la $(locale_lib) $(intl_lib) -lm
+LIB = ../../lib/libxcin.la ../../lib/libim_comm.a $(locale_lib) $(intl_lib) -lm
BIN = cin2tab
SRC = cin2tab.c syscin.c gencin.c bimscin.c

+ 1
- 0
app-i18n/xcin/xcin-2.5.3_pre3-r3.ebuild View File

@@ -34,6 +34,7 @@ PATCHES=(
"${FILESDIR}"/${P}-glibc-2.10.patch
"${FILESDIR}"/${P}-make.patch
"${FILESDIR}"/${P}-ldflags.patch
"${FILESDIR}"/${P}-slibtool.patch
)

src_prepare() {


BIN
app-office/Manifest.gz View File


+ 1
- 1
app-office/homebank/homebank-5.5.1.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="http://homebank.free.fr/public/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ofx"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ppc ~ppc64 x86"

RDEPEND=">=dev-libs/glib-2.39
>=net-libs/libsoup-2.26


BIN
app-portage/Manifest.gz View File


+ 1
- 1
app-portage/gs-elpa/Manifest View File

@@ -1,2 +1,2 @@
DIST gs-elpa-0.1.3.tar.gz 15486 BLAKE2B 6e34aa27aae9d7e27d41e122ed18890b5b63a18e5803f83aaa2fe5c82cf95fb010f7d428e576ce1c8493b27fbb587e37f74f8c9ed3ed9320722ec61eff1f535e SHA512 616c6cc33e89094e727c9ebe577d211cf9200a95b7ad6fd4b350b16d6982e3d509278b63a145880cdbc8f83481ba409b650e43260d463bf90a22e2a705997020
DIST gs-elpa-0.2.tar.gz 15717 BLAKE2B 17be05e19134a99109c4be6f3604a26b5183312adcd0ef195f6f460eac4a28e9cb9370d7d980dbe822af7372eccc0c59ae9f4bc49351a4ce398fc787011bd4ac SHA512 e491a5a8d19b9e077cb41b0934aca6b3e9c091f844f8be1905a79da160fb6f725433b6be4d198533080de5951b1af87c22835e759afb864c8533139349f94a72
DIST gs-elpa-0.2.1.tar.gz 15808 BLAKE2B b37c8d8ecb57277db89b399dd9151348a46269054722f5f29aff6b04511e098a6ddfadc163130d7f9dfbb1af6ff2d76feda695717e021a44422b67a3f335a15e SHA512 d17dab0a0dcabcd3b9fb0fe1a81dcd175808033b46cb7368c017561c060110bd39998117f6feab3e16ace7304e9dc3cf10e684efd0e77b252d8b249317c37475

app-portage/gs-elpa/gs-elpa-0.2.ebuild → app-portage/gs-elpa/gs-elpa-0.2.1.ebuild View File


BIN
app-text/Manifest.gz View File


+ 1
- 1
app-text/gocr/gocr-0.52.ebuild View File

@@ -9,7 +9,7 @@ SRC_URI="http://www-e.uni-magdeburg.de/jschulen/ocr/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~arm64 ppc ppc64 sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="doc scanner tk"

DEPEND="


+ 0
- 1
app-text/sdcv/Manifest View File

@@ -1,2 +1 @@
DIST sdcv-0.5.2.tar.gz 61541 BLAKE2B 3b86b69c1e781c311ebbd427d09f8e1c8f97a9fc7b72e22f812ec4619fb4f3cd673ea5548cfdd89554e1613877d20676b8830fd5921082d7a13facb761001c00 SHA512 8752a225aebcc28cd8911591333410a0da94db9a7718cee744f8fbc6ceeae14bbf13c6d5a02a05652ff032276765537573e216acd49980f80c06319dac7075fb
DIST sdcv-0.5.3.tar.gz 62105 BLAKE2B 1424510cff2fa355d17884a31f8136f4c8a7bde071f387dd8a69b1d2d6b9c8e52869cd602b27b9966725370cf128fb62b8628e735f1faa92b78f75215462804f SHA512 73a305baad74d0584912e115d3de7395c8e88745fb69b4e5f1a345061629b0d4e05898bd589e96ce07948d52ba7c508ec4ab77862c8fadca5a2f19c5244e1442

+ 0
- 17
app-text/sdcv/files/sdcv-t_list.patch View File

@@ -1,17 +0,0 @@
--- sdcv-0.5.2/tests/t_list.orig 2017-08-16 10:14:23.000000000 +0300
+++ sdcv-0.5.2/tests/t_list 2018-08-26 15:12:31.501052398 +0300
@@ -1,11 +1,10 @@
#!/bin/sh
PATH_TO_SDCV="$1"
-ndicts=`"$PATH_TO_SDCV" -l | wc -l`
+TEST_DIR="$2"
+ndicts=`"$PATH_TO_SDCV" --data-dir "${TEST_DIR}" -l | wc -l`
ndicts=$(($ndicts-1))
-ncom=`find /usr/share/stardict/dic -name "*.ifo" | wc -l`
-nspe=`find "${HOME}"/.stardict/dic -name "*.ifo" | wc -l`
-nmy=$(($ncom+$nspe))
+nmy=`find "${TEST_DIR}" -name "*.ifo" | wc -l`
if [ $nmy -ne $ndicts ]; then
echo "should be: $nmy, we have: $ndicts" >&2

+ 0
- 74
app-text/sdcv/sdcv-0.5.2.ebuild View File

@@ -1,74 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PLOCALES="cs fr ru sk uk zh_CN zh_TW"
: ${CMAKE_MAKEFILE_GENERATOR:="ninja"}

inherit cmake-utils l10n

DESCRIPTION="Console version of Stardict program"
HOMEPAGE="https://dushistov.github.io/sdcv/"
SRC_URI="https://github.com/Dushistov/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="darkterm nls readline test"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-libs/glib-2.6.1
sys-libs/zlib
readline? ( sys-libs/readline:= )
"
DEPEND="${RDEPEND}
nls? ( >=sys-devel/gettext-0.14.1 )
test? ( app-misc/jq )
"

PATCHES=(
"${FILESDIR}/${PN}-t_list.patch"
"${FILESDIR}/${PN}-t_interactive.patch"
)

src_prepare() {
if use darkterm; then
sed -i 's/;34m/;36m/' src/libwrapper.cpp || die
fi

rm_loc() {
rm "po/${1}.po" || die
}
l10n_for_each_disabled_locale_do rm_loc

# do not install locale-specific man pages unless asked to
if ! has uk ${LINGUAS-uk}; then
sed -ni '/share\/man\/uk/!p' CMakeLists.txt || die
fi

cmake-utils_src_prepare
}

src_configure() {
local mycmakeargs=(
-DENABLE_NLS="$(usex nls)"
-DWITH_READLINE="$(usex readline)"
-DBUILD_TESTS="$(usex test ON OFF)"
)
cmake-utils_src_configure
}

src_compile() {
cmake-utils_src_compile
use nls && cmake-utils_src_compile lang
}

src_install() {
# with USE=nls, but empty intersection of LINGUAS and list of
# supported translations, this directory is required, see bug 583386
mkdir -p "${BUILD_DIR}/locale"
cmake-utils_src_install
dodoc doc/DICTFILE_FORMAT
}

+ 1
- 1
app-text/sdcv/sdcv-0.5.3.ebuild View File

@@ -12,7 +12,7 @@ SRC_URI="https://github.com/Dushistov/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="darkterm nls readline test"
RESTRICT="!test? ( test )"



BIN
dev-db/Manifest.gz View File


dev-db/redis/redis-6.0.13.ebuild → dev-db/redis/redis-6.0.13-r1.ebuild View File

@@ -125,6 +125,8 @@ src_compile() {
myconf+=" BUILD_TLS=yes"
fi

export USE_SYSTEMD=$(usex systemd)

tc-export AR CC RANLIB
emake V=1 ${myconf} AR="${AR}" CC="${CC}" RANLIB="${RANLIB}"
}

dev-db/redis/redis-6.2.3.ebuild → dev-db/redis/redis-6.2.3-r1.ebuild View File

@@ -125,6 +125,8 @@ src_compile() {
myconf+=" BUILD_TLS=yes"
fi

export USE_SYSTEMD=$(usex systemd)

tc-export AR CC RANLIB
emake V=1 ${myconf} AR="${AR}" CC="${CC}" RANLIB="${RANLIB}"
}

BIN
dev-java/Manifest.gz View File


+ 1
- 0
dev-java/asm-analysis/asm-analysis-9.1.ebuild View File

@@ -3,6 +3,7 @@

EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.ow2.asm:asm-analysis:9.1"

inherit java-pkg-2 java-pkg-simple



+ 1
- 0
dev-java/asm-commons/asm-commons-9.1.ebuild View File

@@ -3,6 +3,7 @@

EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.ow2.asm:asm-commons:9.1"

inherit java-pkg-2 java-pkg-simple



+ 1
- 0
dev-java/asm-tree/asm-tree-9.1.ebuild View File

@@ -3,6 +3,7 @@

EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.ow2.asm:asm-tree:9.1"

inherit java-pkg-2 java-pkg-simple



+ 1
- 0
dev-java/asm-util/asm-util-9.1.ebuild View File

@@ -3,6 +3,7 @@

EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.ow2.asm:asm-util:9.1"

inherit java-pkg-2 java-pkg-simple



+ 1
- 0
dev-java/asm/asm-9.1.ebuild View File

@@ -3,6 +3,7 @@

EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.ow2.asm:asm:9.1"

inherit java-pkg-2 java-pkg-simple



+ 1
- 1
dev-java/commons-codec/commons-codec-1.15.ebuild View File

@@ -18,7 +18,7 @@ SRC_URI="mirror://apache/commons/codec/source/${P}-src.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~amd64 ~arm64 ppc64 ~x86 ~amd64-linux ~x86-linux"

# Compile dependencies
# POM: ${P}-src/pom.xml


+ 1
- 1
dev-java/commons-collections/commons-collections-4.1-r1.ebuild View File

@@ -15,7 +15,7 @@ DESCRIPTION="Extends the JCF classes with new interfaces, implementations and ut
HOMEPAGE="https://commons.apache.org/collections/"
SRC_URI="mirror://apache/${PN/-//}/source/${MY_P}-src.tar.gz"
LICENSE="Apache-2.0"
KEYWORDS="~amd64 ~arm64 ~ppc64 x86"
KEYWORDS="~amd64 ~arm64 ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-java/commons-logging/commons-logging-1.2-r3.ebuild View File

@@ -14,7 +14,7 @@ SRC_URI="mirror://apache/commons/logging/source/${P}-src.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm64 ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="avalon-framework avalon-logkit log4j servletapi test"
RESTRICT="!test? ( test ) !servletapi? ( test )"



+ 1
- 1
dev-java/commons-math/commons-math-3.6.1-r1.ebuild View File

@@ -21,4 +21,4 @@ RDEPEND=">=virtual/jre-1.8:*"

LICENSE="Apache-2.0"
SLOT="3"
KEYWORDS="amd64 ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"

+ 1
- 1
dev-java/jackcess/jackcess-4.0.0.ebuild View File

@@ -18,7 +18,7 @@ SRC_URI="https://github.com/jahlborn/${PN}/archive/refs/tags/${P}.tar.gz -> ${P}

LICENSE="Apache-2.0"
SLOT="1"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~amd64 ~arm64 ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"

# Common dependencies
# POM: pom.xml


+ 4
- 4
dev-java/jffi/files/jffi-1.2.8-makefile.patch View File

@@ -1,5 +1,5 @@
--- jni/GNUmakefile
+++ jni/GNUmakefile
--- a/jni/GNUmakefile
+++ b/jni/GNUmakefile
@@ -41,6 +41,7 @@
JFFI_BUILD_DIR = $(BUILD_DIR)/jffi
@@ -37,8 +37,8 @@
ifeq ($(OS), darwin)
build_ffi = \
--- libtest/GNUmakefile
+++ libtest/GNUmakefile
--- a/libtest/GNUmakefile
+++ b/libtest/GNUmakefile
@@ -44,8 +44,8 @@
# Compiler/linker flags from:
# http://weblogs.java.net/blog/kellyohair/archive/2006/01/compilation_of_1.html


dev-java/jffi/jffi-1.2.9.ebuild → dev-java/jffi/jffi-1.2.9-r1.ebuild View File

@@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="5"
EAPI=7

JAVA_PKG_IUSE="doc source test"

inherit epatch java-pkg-2 java-ant-2 versionator
inherit java-pkg-2 java-ant-2

DESCRIPTION="An optimized Java interface to libffi"
HOMEPAGE="https://github.com/jnr/jffi"
@@ -18,16 +18,18 @@ KEYWORDS="amd64 ~arm64 ppc64 x86 ~ppc-macos ~x64-macos"
CDEPEND="dev-libs/libffi:0="

RDEPEND="${CDEPEND}
>=virtual/jre-1.6"
>=virtual/jre-1.8:*"

# java 1.8 is needed because javah is called which is not in newer jdks
DEPEND="${CDEPEND}
>=virtual/jdk-1.6
virtual/pkgconfig
virtual/jdk:1.8
test? (
dev-java/ant-junit4:0
dev-java/junit:4
)"

BDEPEND="virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/${PN}-1.2.8-makefile.patch
"${FILESDIR}"/${PN}-1.2.8-junit-4.11.patch
@@ -35,10 +37,10 @@ PATCHES=(

RESTRICT="test"

java_prepare() {
cp "${FILESDIR}"/${PN}_maven-build.xml build.xml || die
src_prepare() {
default

epatch "${PATCHES[@]}"
cp "${FILESDIR}"/${PN}_maven-build.xml build.xml || die

# misc fixes for Darwin
if [[ ${CHOST} == *-darwin* ]] ; then
@@ -59,7 +61,7 @@ java_prepare() {
jni/GNUmakefile || die
fi

find "${WORKDIR}" -iname '*.jar' -delete || die
java-pkg_clean
}

JAVA_ANT_REWRITE_CLASSPATH="yes"
@@ -71,9 +73,9 @@ src_compile() {
package com.kenai.jffi;
public final class Version {
private Version() {}
public static final int MAJOR = $(get_version_component_range 1);
public static final int MINOR = $(get_version_component_range 2);
public static final int MICRO = $(get_version_component_range 3);
public static final int MAJOR = $(ver_cut 1);
public static final int MINOR = $(ver_cut 2);
public static final int MICRO = $(ver_cut 3);
}
EOF

@@ -92,7 +94,7 @@ src_compile() {
SRC_DIR=jni
JNI_DIR=jni
BUILD_DIR=build/jni
VERSION=$(get_version_component_range 1-2)
VERSION=$(ver_cut 1-2)
USE_SYSTEM_LIBFFI=1
CCACHE=
-f jni/GNUmakefile
@@ -114,7 +116,7 @@ src_install() {
local libname=".so"

[[ ${CHOST} == *-darwin* ]] && libname=.jnilib
java-pkg_doso build/jni/lib${PN}-$(get_version_component_range 1-2)${libname}
java-pkg_doso build/jni/lib${PN}-$(ver_cut 1-2)${libname}

# must by after _doso to have JAVA_PKG_LIBDEST set
cat > boot.properties <<-EOF

+ 1
- 0
dev-java/jnr-a64asm/Manifest View File

@@ -0,0 +1 @@
DIST jnr-a64asm-1.0.0.tar.gz 29247 BLAKE2B d5b2dbdbee3d50e466d164a7b5f62ad5ea99eeb810c38bacbd5ec21f8ba57d28ed442846903e85ef771e2a4ca80c77f2beb558fb03b1b6996384e26f69731474 SHA512 16ab336e60d6bf5e6478ed4fd8144c7e1eb1aa23089927e34adcbd2f0b3fdaedfc0e5026545bfd69d8a6a030479342088fcb86657a007e9ac9ba7a08830aa858

+ 32
- 0
dev-java/jnr-a64asm/jnr-a64asm-1.0.0.ebuild View File

@@ -0,0 +1,32 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Skeleton command:
# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/jnr/jnr-a64asm/archive/refs/tags/jnr-a64asm-1.0.0.tar.gz --slot 2 --keywords "~amd64 ~arm64 ~ppc64 ~x86" --ebuild jnr-a64asm-1.0.0.ebuild

EAPI=7

JAVA_PKG_IUSE="doc source"
MAVEN_ID="com.github.jnr:jnr-a64asm:1.0.0"

inherit java-pkg-2 java-pkg-simple

DESCRIPTION="A pure-java A64 assembler"
HOMEPAGE="http://nexus.sonatype.org/oss-repository-hosting.html/jnr-a64asm"
SRC_URI="https://github.com/jnr/${PN}/archive/refs/tags/${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="2"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"

DEPEND="
>=virtual/jdk-1.8:*
"

RDEPEND="
>=virtual/jre-1.8:*
"

S="${WORKDIR}/${PN}-${P}"

JAVA_SRC_DIR="src/main/java"

+ 7
- 0
dev-java/jnr-a64asm/metadata.xml View File

@@ -0,0 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>java@gentoo.org</email>
</maintainer>
</pkgmetadata>

+ 2
- 1
dev-java/jnr-x86asm/jnr-x86asm-1.0.2-r1.ebuild View File

@@ -1,8 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="5"
JAVA_PKG_IUSE="doc source"
MAVEN_ID="com.github.jnr:jnr-x86asm:1.0.2"

inherit java-pkg-2 java-pkg-simple



+ 0
- 2
dev-java/junit/Manifest View File

@@ -1,4 +1,2 @@
DIST junit-4.13.2.tar.gz 1077147 BLAKE2B c083982cd604812ba3375f90e0486bb3683ecbc3b08e3d14d4541845c5b91cd85100fe86028c70a7cec4e1ab6f6794bcb9333686b3c9b0705eacb75ac36e64da SHA512 29f8f8717efe50b9c7e27805a699f3664a0a068e32ce93e3a1a2bc67a045417490ac04251ef8f8bbd21c77a759bf7e4c6b7a5a07141227bd17de0c526c5031bb
DIST junit3.8.2.zip 461426 BLAKE2B 8fbef1ccdf7f71c611976d63f45838f4cb2564da5f5064e7abc39931a3c99039a40660093aba2cc3c70af761171125f434c16c52021226f2e92fdf23597dbf25 SHA512 f203332ccc2bdc38c683a95bdbe448f38cbfbeea81ecc431bf9ebf0a3292f0150fcfe5cd5dd6da481be034366820f95775a33581931aed9e4cc12a6ff27e3930
DIST junit4-r4.12.tar.gz 443804 BLAKE2B b36248266eb83d8f2dfb1c525f635a4fce5a46c6042652ef27a5d405b83c471848edf83e799a4d1e950d83e127caa288f453edf19959a9a8aa5a9e26eeb4e771 SHA512 ba612598fa6c328e8f4bbea3afda08b459a110837ca3805a62e811535f7bca8d04509f8fe51a413c7bc855fccee35d6946c9eece4dd01726d12454c002a4de32
DIST junit4-r4.13.1.tar.gz 1072560 BLAKE2B d7a8ecf804f83461c281a494c1ad85e6797af64fd1344ba41a919a2783c28fc7c36b6c85984aaff66d41a99fde0141532be2e9bb00f3f53ae467f6dbde937f4a SHA512 a4c284f756916077100181af1dd8c0febdc855e21ea600366e5fda3904919ec2c4a5e828961c322f080f177eb53485c9ad01bfc65c7489a741be63c96cd472bb

+ 0
- 55
dev-java/junit/junit-4.12-r1.ebuild View File

@@ -1,55 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5

MY_PN="${PN}${PV%%.*}"
MY_P="${MY_PN}-r${PV}"
JAVA_PKG_IUSE="doc source"
MAVEN_ID="junit:junit:4.12"

inherit java-pkg-2 java-pkg-simple

DESCRIPTION="Simple framework to write repeatable tests"
SRC_URI="https://github.com/${PN}-team/${MY_PN}/archive/r${PV}.tar.gz -> ${MY_P}.tar.gz"
HOMEPAGE="http://junit.org/"
LICENSE="EPL-1.0"
SLOT="4"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="examples"

CDEPEND="dev-java/hamcrest-core:1.3"

RDEPEND=">=virtual/jre-1.6
${CDEPEND}"

DEPEND=">=virtual/jdk-1.6
${CDEPEND}"

S="${WORKDIR}/${MY_P}"
JAVA_SRC_DIR="src/main/java"
JAVA_GENTOO_CLASSPATH="hamcrest-core-1.3"

java_prepare() {
rm -v lib/*.jar || die
}

src_compile() {
java-pkg-simple_src_compile
java-pkg_addres ${PN}.jar src/main/resources
}

src_install() {
java-pkg-simple_src_install
dodoc {acknowledgements,{LEGACY_,}CODING_STYLE,NOTICE,to-do}.txt {CONTRIBUTING,README,doc/ReleaseNotes${PV}}.md
use examples && java-pkg_doexamples src/test/java/org/junit/samples
}

src_test() {
cd src/test/java || die

local CP=".:../resources:${S}/${PN}.jar:$(java-pkg_getjars ${JAVA_GENTOO_CLASSPATH})"

ejavac -cp "${CP}" -d . $(find * -name "*.java")
java -cp "${CP}" -Djava.awt.headless=true org.junit.runner.JUnitCore junit.tests.AllTests || die "Running junit failed"
}

+ 0
- 60
dev-java/junit/junit-4.13.1.ebuild View File

@@ -1,60 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

MY_PN="${PN}${PV%%.*}"
MY_P="${MY_PN}-r${PV}"
JAVA_PKG_IUSE="doc source"
MAVEN_ID="junit:junit:4.13.1"

inherit java-pkg-2 java-pkg-simple

DESCRIPTION="Simple framework to write repeatable tests"
HOMEPAGE="https://junit.org/junit5/"
SRC_URI="https://github.com/${PN}-team/${MY_PN}/archive/r${PV}.tar.gz -> ${MY_P}.tar.gz"

LICENSE="EPL-1.0"
SLOT="4"
KEYWORDS="amd64 ~arm ~arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="examples"

CDEPEND="
dev-java/hamcrest-core:1.3
dev-java/hamcrest-library:1.3
"
RDEPEND="
>=virtual/jre-1.8:*
${CDEPEND}"
DEPEND="
>=virtual/jdk-1.8:*
${CDEPEND}"

S="${WORKDIR}/${MY_P}"
JAVA_SRC_DIR="src/main/java"
JAVA_GENTOO_CLASSPATH="hamcrest-core-1.3,hamcrest-library-1.3"

src_prepare() {
default
rm -v lib/*.jar || die
}

src_compile() {
java-pkg-simple_src_compile
java-pkg_addres ${PN}.jar src/main/resources
}

src_install() {
java-pkg-simple_src_install
dodoc {acknowledgements,{LEGACY_,}CODING_STYLE,NOTICE,to-do}.txt {CONTRIBUTING,README,doc/ReleaseNotes${PV}}.md
use examples && java-pkg_doexamples src/test/java/org/junit/samples
}

src_test() {
cd src/test/java || die

local CP=".:../resources:${S}/${PN}.jar:$(java-pkg_getjars ${JAVA_GENTOO_CLASSPATH})"

ejavac -cp "${CP}" -d . $(find * -name "*.java")
java -cp "${CP}" -Djava.awt.headless=true org.junit.runner.JUnitCore junit.tests.AllTests || die "Running junit failed"
}

+ 1
- 1
dev-java/junit/junit-4.13.2.ebuild View File

@@ -17,7 +17,7 @@ SRC_URI="https://github.com/${PN}-team/${PN}4/archive/refs/tags/r${PV}.tar.gz ->

LICENSE="EPL-1.0"
SLOT="4"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"

# Common dependencies
# POM: ${PN}4-r${PV}/pom.xml


+ 1
- 1
dev-java/objenesis-test/objenesis-test-3.2.ebuild View File

@@ -17,7 +17,7 @@ SRC_URI="https://github.com/easymock/objenesis/archive/refs/tags/${PV}.tar.gz ->

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm64 ppc64 x86"

DEPEND="
>=virtual/jdk-1.8:*


+ 0
- 1
dev-java/objenesis/Manifest View File

@@ -1,2 +1 @@
DIST objenesis-1.3-bin.zip 287452 BLAKE2B d3f6cce9ad46d8578e24077df8a19fcdf2f9456ef732f73fe234ae688c9ceca7277e5376657efcdaba1a7b5a80ddf106aff52f291a6b2f698a010a288e961e33 SHA512 48f838e00cfe0d12c6c73fb3d1d8482ccd8de71742a86c3afbba832c6b73e1f7b1604f8c209386e00f7751cd568e9ef4d61b543db66c927f3d61f9e6ee0a4193
DIST objenesis-3.2.tar.gz 123629 BLAKE2B d875224d7a9fcf6173787edaca35f58f72d6c85ee443831be8050170ba826e8a155c7983c62ef5d01a1bb8331943dd6da5cb50eefb87cc0c7d3db540b01fcac3 SHA512 8f0bf9449191bce1823be0cbae85438edf595bde0483bb2fb4415a880b6715ae60826473bd5ee15789a7d0638932878dbdaaf7b42a6d582aa7bbf09124e97e3b

+ 0
- 29
dev-java/objenesis/objenesis-1.3-r1.ebuild View File

@@ -1,29 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

JAVA_PKG_IUSE="source doc"

inherit java-pkg-2 java-pkg-simple

DESCRIPTION="A small Java library with one purpose: To instantiate a new object of a class"
HOMEPAGE="https://objenesis.googlecode.com/"
SRC_URI="https://${PN}.googlecode.com/files/${P}-bin.zip"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 ppc64 x86"
IUSE=""

BDEPEND="app-arch/unzip"
RDEPEND=">=virtual/jre-1.8"
DEPEND=">=virtual/jdk-1.8"

S="${WORKDIR}/${P}"
JAVA_SRC_DIR="src"

src_unpack() {
unpack ${A}
unzip "${S}"/${P}-sources.jar -d "${S}"/src || die
}

+ 1
- 1
dev-java/objenesis/objenesis-3.2.ebuild View File

@@ -18,7 +18,7 @@ SRC_URI="https://github.com/easymock/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm64 ppc64 x86"

# Compile dependencies
# POM: ${P}/main/pom.xml


+ 1
- 1
dev-java/poi/poi-5.0.0.ebuild View File

@@ -16,7 +16,7 @@ HOMEPAGE="https://poi.apache.org/"
SRC_URI="https://archive.apache.org/dist/${PN}/release/src/${PN}-src-${PV}-20210120.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm64 ppc64 ~x86"

# Common dependencies
# POM: ${P}/sonar/main/pom.xml


+ 1
- 1
dev-java/sparsebitset/sparsebitset-1.2.ebuild View File

@@ -18,7 +18,7 @@ SRC_URI="https://github.com/brettwooldridge/SparseBitSet/archive/refs/tags/Spars

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm64 ppc64 ~x86"

DEPEND="
>=virtual/jdk-1.8:*


+ 1
- 1
dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.44.ebuild View File

@@ -15,7 +15,7 @@ SRC_URI="mirror://apache/tomcat/tomcat-9/v${PV}/src/${MY_P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="4.0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm ~arm64 ppc64 x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
IUSE=""

DEPEND=">=virtual/jdk-1.8:*"


BIN
dev-lang/Manifest.gz View File


+ 1
- 0
dev-lang/erlang/Manifest View File

@@ -1,6 +1,7 @@
DIST erlang-23.2.7.tar.gz 56600356 BLAKE2B 84daf8810716ac02b50527805b834f9f2ae83fc7ebd89a22e4cba34133a52347f53a72ba65614b492bf1932d0dc47eb68c9ce8731cdfaeecdf57b9f20bde32e8 SHA512 1e94b641644edb1edc3d15679222dd5d198abf1cae6daa4b91304317f8df21514029971f208767396625c0a0be7107c357c9ef80974c9865113a760aa2655220
DIST erlang-23.3.1.tar.gz 56654422 BLAKE2B b1ccd870d4a47f12d1a65b424d6c6b0f59a4654c0779c595fb28fdc2d3e179bb9b12d2473770b239b65665b2f6a3281d239f9fb3d6b86548df3ee69fce8fe5ed SHA512 03d4be9b25a14359e9f8db52d8e7d8edff1e8c53686a189caae15373c7e15d03f05e1138c549b8b41b8e6b7c55ab154cea47356f6fe79f7b72d5fb4ce759c4b0
DIST erlang-23.3.2.tar.gz 56662450 BLAKE2B 70ead26fe6a416c1b89bc9f8ad8d368bd38d994f9aa9967c916ccbef25aac7a059d89422e0d3b03397b08f1376c9e2eef4e827ecaa9d1114c453771e51acb490 SHA512 bb3dc1d827314b71f7e4da2082681e449859a69589d566a810baf554131e239ad3fe0555f352d69506467162016d6c6864abb20926843ee4da5876b26650810e
DIST erlang-23.3.3.tar.gz 56671339 BLAKE2B 19455670d411adfb6a34a42e27ee8ff9eda052c9e096404f1d1061376ffecb136b912cb89a21cb84a7758c925ccccee5bbbb4ca31ac6b164af4813b0a5e9e747 SHA512 191243df10e0ee03db1a16c94253fefd4b008915464b2966f6fbe93faae3053b2a8950297054a6a8554c180fd3fcc18eda16e2f87e0c1a7a73570e753ec557d4
DIST erlang_doc_html_23.2.tar.gz 36537148 BLAKE2B b19d3fb5836b50512db6913ccb9116bc06ef4677c9514db89714ac72a9e7569b2c52612c357ccbf9a12610000885cbc8a43cc17f80c533a3c65af89c1b592ba6 SHA512 0d334dfe46ecffd6ff720d176c4514e2d49ba1b5feccd80f8392a8335100a6c289207431d2c0da02043c923de083290f9fd23726a1d1481508acdd7596f67ea4
DIST erlang_doc_html_23.3.tar.gz 36224657 BLAKE2B 7e2a3e16f4cfa0f15c01074740e02af7a45b480b4a94e764463717658ab7e5d0281f928c3ec585582b10168645e3e06cfe72cf6a0ba1b88f539b80f2b7ad99be SHA512 8be4aae46839239604b875b39339e7b6b6c677c099b3d749d5f1041c4508c1c3b4aa8136a93df12b1e5cb6333ef907276f5965c9726ed2b9e77a6043c8ef53b1
DIST erlang_doc_man_23.2.tar.gz 1386417 BLAKE2B 91fb2646461330c2f3793e7819e4c77ba9259366098b710fd102ffbcbcf38fa84ad720613313e3c59c1d419aaddd5a1a85d26c5d41a71d6692d428a494f57012 SHA512 464fa2c3608a6c096a241e5fc2cee710ef51394b169e3b3ce3ab5f69d847437c54780d4afc1a799d13f88ea88ac64056b19bff4d927e1e6bbe54a773b0ccd89d


+ 155
- 0
dev-lang/erlang/erlang-23.3.3.ebuild View File

@@ -0,0 +1,155 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
WX_GTK_VER="3.0-gtk3"

inherit elisp-common java-pkg-opt-2 systemd wxwidgets

# NOTE: If you need symlinks for binaries please tell maintainers or
# open up a bug to let it be created.

UPSTREAM_V="$(ver_cut 1-2)"

DESCRIPTION="Erlang programming language, runtime environment and libraries (OTP)"
HOMEPAGE="https://www.erlang.org/"
SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz -> ${P}.tar.gz
http://erlang.org/download/otp_doc_man_${UPSTREAM_V}.tar.gz -> ${PN}_doc_man_${UPSTREAM_V}.tar.gz
doc? ( http://erlang.org/download/otp_doc_html_${UPSTREAM_V}.tar.gz -> ${PN}_doc_html_${UPSTREAM_V}.tar.gz )"

LICENSE="Apache-2.0"
# We use this subslot because Compiled HiPE Code can be loaded on the exact
# same build of ERTS that was used when compiling the code. See
# http://erlang.org/doc/system_principles/misc.html for more information.
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc emacs +hipe java +kpoll odbc sctp ssl systemd tk wxwidgets"

RDEPEND="
acct-group/epmd
acct-user/epmd
sys-libs/ncurses:0
sys-libs/zlib
emacs? ( >=app-editors/emacs-23.1:* )
java? ( >=virtual/jdk-1.8:* )
odbc? ( dev-db/unixODBC )
sctp? ( net-misc/lksctp-tools )
ssl? ( >=dev-libs/openssl-0.9.7d:0= )
systemd? ( sys-apps/systemd )
wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X,opengl] )
"
DEPEND="${RDEPEND}
dev-lang/perl
"

S="${WORKDIR}/otp-OTP-${PV}"

PATCHES=(
"${FILESDIR}"/18.2.1-wx3.0.patch
"${FILESDIR}"/${PN}-22.0-dont-ignore-LDFLAGS.patch
)

SITEFILE=50"${PN}"-gentoo.el

src_prepare() {
default

./otp_build autoconf || die
}

src_configure() {
use wxwidgets && setup-wxwidgets

local myconf=(
--disable-builtin-zlib
$(use_enable hipe)
$(use_enable kpoll kernel-poll)
$(use_with java javac)
$(use_enable sctp)
$(use_with ssl ssl "${EPREFIX}"/usr)
$(use_enable ssl dynamic-ssl-lib)
$(use_enable systemd)
$(usex wxwidgets "--with-wx-config=${WX_CONFIG}" "--with-wxdir=/dev/null")
)
econf "${myconf[@]}"
}

src_compile() {
emake

if use emacs ; then
pushd lib/tools/emacs &>/dev/null || die
elisp-compile *.el
popd &>/dev/null || die
fi
}

extract_version() {
local path="$1"
local var_name="$2"
sed -n -e "/^${var_name} = \(.*\)$/s::\1:p" "${S}/${path}/vsn.mk" || die "extract_version() failed"
}

src_install() {
local erl_libdir_rel="$(get_libdir)/erlang"
local erl_libdir="/usr/${erl_libdir_rel}"
local erl_interface_ver="$(extract_version lib/erl_interface EI_VSN)"
local erl_erts_ver="$(extract_version erts VSN)"
local my_manpath="/usr/share/${PN}/man"

[[ -z "${erl_erts_ver}" ]] && die "Couldn't determine erts version"
[[ -z "${erl_interface_ver}" ]] && die "Couldn't determine interface version"

emake INSTALL_PREFIX="${D}" install

if use doc ; then
# Note: we explicitly install docs into:
# /usr/share/doc/${PF}/{doc,lib,erts-*}
# To maintain that layout we gather everything in 'html-docs'.
# See bug #684376.
mkdir html-docs || die
mv "${WORKDIR}"/doc "${WORKDIR}"/lib "${WORKDIR}"/erts-* html-docs/ || die
local DOCS=( "AUTHORS" "HOWTO"/* "README.md" "CONTRIBUTING.md" html-docs/. )
docompress -x /usr/share/doc/${PF}
else
local DOCS=("README.md")
fi

einstalldocs

dosym "../${erl_libdir_rel}/bin/erl" /usr/bin/erl
dosym "../${erl_libdir_rel}/bin/erlc" /usr/bin/erlc
dosym "../${erl_libdir_rel}/bin/escript" /usr/bin/escript
dosym "../${erl_libdir_rel}/lib/erl_interface-${erl_interface_ver}/bin/erl_call" /usr/bin/erl_call
dosym "../${erl_libdir_rel}/erts-${erl_erts_ver}/bin/beam.smp" /usr/bin/beam.smp

## Clean up the no longer needed files
rm "${ED}/${erl_libdir}/Install" || die

insinto "${my_manpath}"
doins -r "${WORKDIR}"/man/*
# extend MANPATH, so the normal man command can find it
# see bug 189639
newenvd - "90erlang" <<-_EOF_
MANPATH="${my_manpath}"
_EOF_

if use emacs ; then
elisp-install erlang lib/tools/emacs/*.{el,elc}
sed -e "s:/usr/share:${EPREFIX}/usr/share:g" \
"${FILESDIR}/${SITEFILE}" > "${T}/${SITEFILE}" || die
elisp-site-file-install "${T}/${SITEFILE}"
fi

newinitd "${FILESDIR}"/epmd.init-r2 epmd
newconfd "${FILESDIR}"/epmd.confd-r2 epmd
use systemd && systemd_newunit "${FILESDIR}"/epmd.service-r1 epmd.service
}

pkg_postinst() {
use emacs && elisp-site-regen
}

pkg_postrm() {
use emacs && elisp-site-regen
}

+ 1
- 1
dev-lang/php/Manifest View File

@@ -2,6 +2,6 @@ DIST php-7.3.27.tar.xz 12137924 BLAKE2B f4648fdc2b8903ce1b68221eeb49e7764c5446a3
DIST php-7.3.28.tar.xz 12139380 BLAKE2B 696c573878866e97fcae5fe3e33e83e75bf706d0eec2a66b2532ec54ce730e3f4b3fa6f0659ebf14193b6b2a6292d624bf478706790aab60b13b5cea0a1299fb SHA512 91f4f23fea6e2c5ea1fa5774075e1b1f7cfcc46064ab0d2f03e4f1b9b6c3dd7fd5a59854ed3fe3a8e2962283045f6a1c3273438b4bc0c68b11f41b9338f44274
DIST php-7.4.15.tar.xz 10332360 BLAKE2B 3217378a2fa9e3cd030f585696ac48c50bf4f2509401276783ceb3c757155fb4a06dde8fbb93588e96b16f1f8bbcb32337f58a31c2c0c2009d3659136453c4e1 SHA512 51a815852c08518d6706fc719e3bafd214889580cc5ca0e5049ae7e8f6173e83b9486bc9a69afd1ea4ab1778bb2879bd917595cd04cbcc50b182a10230f08175
DIST php-7.4.16.tar.xz 10334672 BLAKE2B 685717509115e9607fb8ff4ae439bd3b70e5c1f2a11ab83f4944be74cb1502868b9e3aceb6898288ae6e5cdd50c8dba294c03618eaa7accd10c0b425069ef0cb SHA512 a7845fe0a7c334829bfa9518d3f2947036e1b03c8f4346622f9ab37563ff3af03f6559878b83aa0e6ad69e9919b6478345a0cc6ec59161ef36c64a5073e83f84
DIST php-7.4.18.tar.xz 10340980 BLAKE2B e30bff4f1458318af490573a8639cb75d612e545dc8f3e5650ccee06ffc6a6c74e12fd9fada370ef717da3e1aca02652f938b2d1f57401d9d3c6fd73ef3bf9ad SHA512 b44a3fab98f3c81238ee715622d6d57f5ff2f39dc347a60bdbbec433dfef11a3c88366bde0aee55e201ceb79ac4d6cf7f57c6b139de7b0f202564a882ccae42b
DIST php-7.4.19.tar.xz 10341424 BLAKE2B b5f549603a2d108d2d4c16dfb15c2088612e040e9e4756cc7c1403c67e152ad3461d84915e4f542b1e558469ae3143721c6d7ec25ef03c3b4a6142fe972bd775 SHA512 2ac51b9920069ebe8ac68a94f8e9aac2b3d44d69668f340aba95f8303632fe1bfc4c3f2ce398cc7e2c2ea48583d8e04dedfc66f7147c1f4470a55417554d0071
DIST php-8.0.3.tar.xz 10755796 BLAKE2B 5dd6afe985b4f5e33f456f05edda0207d8dfffbdc35d0b2290e1bd30a93bcfd94d6ef23e7d2c8d77b774a7ff95f49832687c75593d7ab38704b60ba3d9331598 SHA512 9b3631fea5280ed11c14a3ef1badb3da5b8ab19f29faa6b828ab033008ebebc487013d74d401d10b9cf21f354cd81100ba83562f3f080e23220ad38c02fb5a0d
DIST php-8.0.5.tar.xz 10666412 BLAKE2B 4f3d0c1ab1aa998889abd7488c800216bd05c41996171929678fc084a2485d4199b49c0bc748612cf2cd1d238619fd183971d043fb8ca72db0b8dec6e2860566 SHA512 f128e1aa37dd808ec1626b6eb5ab7cc76575772ad86f1f640114186a10ffb79bdb07f0b30267ce316c7a54fc6397fa8a41e3476fee52cbe6a7b900eb5c6b83a0

dev-lang/php/php-7.4.18.ebuild → dev-lang/php/php-7.4.19.ebuild View File


+ 92
- 0
dev-lang/rust/files/1.51.0-slow-doc-install.patch View File

@@ -0,0 +1,92 @@
From 6dfd700c595a8853fd58349c38c4768b922a2e85 Mon Sep 17 00:00:00 2001
From: Anders Kaseorg <andersk@mit.edu>
Date: Sat, 17 Apr 2021 22:20:36 -0700
Subject: [PATCH] bootstrap: Restore missing --bulk-dirs for rust-docs,
rustc-docs

The --bulk-dirs argument was removed for rust-docs in commit
c768ce138427b1844c1f6594daba9c0e33928032 and rustc-docs in commit
8ca46fc7a83734c9622f11f25d16b82316f44bcc (#79788), presumably by
mistake; that slowed down installation of rust-docs from under a
second to some twenty *minutes*. Restoring --bulk-dirs reverses this
slowdown.

Fixes #80684.

Signed-off-by: Anders Kaseorg <andersk@mit.edu>
---
src/bootstrap/dist.rs | 4 ++--
src/bootstrap/tarball.rs | 17 +++++++++++++++++
2 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/src/bootstrap/dist.rs b/src/bootstrap/dist.rs
index 38ebe0e52083d..aee3c8324bc11 100644
--- a/src/bootstrap/dist.rs
+++ b/src/bootstrap/dist.rs
@@ -74,7 +74,7 @@ impl Step for Docs {
let mut tarball = Tarball::new(builder, "rust-docs", &host.triple);
tarball.set_product_name("Rust Documentation");
- tarball.add_dir(&builder.doc_out(host), dest);
+ tarball.add_bulk_dir(&builder.doc_out(host), dest);
tarball.add_file(&builder.src.join("src/doc/robots.txt"), dest, 0o644);
Some(tarball.generate())
}
@@ -107,7 +107,7 @@ impl Step for RustcDocs {
let mut tarball = Tarball::new(builder, "rustc-docs", &host.triple);
tarball.set_product_name("Rustc Documentation");
- tarball.add_dir(&builder.compiler_doc_out(host), "share/doc/rust/html/rustc");
+ tarball.add_bulk_dir(&builder.compiler_doc_out(host), "share/doc/rust/html/rustc");
Some(tarball.generate())
}
}
diff --git a/src/bootstrap/tarball.rs b/src/bootstrap/tarball.rs
index b02d7e062a524..9ff5c2327e0f7 100644
--- a/src/bootstrap/tarball.rs
+++ b/src/bootstrap/tarball.rs
@@ -99,6 +99,7 @@ pub(crate) struct Tarball<'a> {
temp_dir: PathBuf,
image_dir: PathBuf,
overlay_dir: PathBuf,
+ bulk_dirs: Vec<PathBuf>,
include_target_in_component_name: bool,
is_preview: bool,
@@ -137,6 +138,7 @@ impl<'a> Tarball<'a> {
temp_dir,
image_dir,
overlay_dir,
+ bulk_dirs: Vec::new(),
include_target_in_component_name: false,
is_preview: false,
@@ -201,6 +203,11 @@ impl<'a> Tarball<'a> {
self.builder.cp_r(src.as_ref(), &dest);
}
+ pub(crate) fn add_bulk_dir(&mut self, src: impl AsRef<Path>, dest: impl AsRef<Path>) {
+ self.bulk_dirs.push(dest.as_ref().to_path_buf());
+ self.add_dir(src, dest);
+ }
+
pub(crate) fn generate(self) -> GeneratedTarball {
let mut component_name = self.component.clone();
if self.is_preview {
@@ -221,6 +228,16 @@ impl<'a> Tarball<'a> {
.arg("--image-dir")
.arg(&this.image_dir)
.arg(format!("--component-name={}", &component_name));
+
+ if let Some((dir, dirs)) = this.bulk_dirs.split_first() {
+ let mut arg = dir.as_os_str().to_os_string();
+ for dir in dirs {
+ arg.push(",");
+ arg.push(dir);
+ }
+ cmd.arg("--bulk-dirs").arg(&arg);
+ }
+
this.non_bare_args(cmd);
})
}

+ 9
- 1
dev-lang/rust/rust-1.51.0-r2.ebuild View File

@@ -147,6 +147,7 @@ PATCHES=(
"${FILESDIR}"/1.47.0-ignore-broken-and-non-applicable-tests.patch
"${FILESDIR}"/1.49.0-gentoo-musl-target-specs.patch
"${FILESDIR}"/1.51.0-bootstrap-panic.patch
"${FILESDIR}"/1.51.0-slow-doc-install.patch
"${FILESDIR}"/rustc-1.51.0-backport-pr81728.patch
"${FILESDIR}"/rustc-1.51.0-backport-pr81741.patch
"${FILESDIR}"/rustc-1.51.0-backport-pr82289.patch
@@ -468,8 +469,15 @@ src_configure() {
done
fi # I_KNOW_WHAT_I_AM_DOING_CROSS

einfo "Rust configured with the following settings:"
einfo "Rust configured with the following flags:"

echo "RUSTFLAGS=\"${RUSTFLAGS:-}\""
echo "RUSTFLAGS_BOOTSTRAP=\"${RUSTFLAGS_BOOTSTRAP:-}\""
echo "RUSTFLAGS_NOT_BOOTSTRAP=\"${RUSTFLAGS_NOT_BOOTSTRAP:-}\""
echo
einfo "config.toml contents:"
cat "${S}"/config.toml || die
echo
}

src_compile() {


BIN
dev-libs/Manifest.gz View File


+ 1
- 0
dev-libs/clhpp/Manifest View File

@@ -1 +1,2 @@
DIST clhpp-2.0.12.tar.gz 96922 BLAKE2B ae4df7e2b65865fbaea8066d508e4058a076aace4598ca97594237541df44e5c2d20978274124cbc5d331c4983df3e0776b8afafb2204f0d96b6830999d72589 SHA512 521f0e6bd32f9bfdf764011d9e83691a574c27a9c27580601529a2665a2785ca5815407381adfa2e247547bdb79c6083d79b5d716d54e2aafa55bdd5751f1e78
DIST clhpp-2.0.14.tar.gz 99791 BLAKE2B 4859f25359d09584bd96d63c06766ee8c8f05a09d2c79355489ab5554760511a9a500036b2988b0df85df04b591cc357f776097f91a3a9b9172ab45e8d385990 SHA512 f6b6a3c760292d0acad5eb2cb25b0d127c7615167f979c6138361376d03c66bb46735cf56716b3349f9d6691ac6557b983a767559ee5f94b163d85b90b046eb4

+ 28
- 0
dev-libs/clhpp/clhpp-2.0.14.ebuild View File

@@ -0,0 +1,28 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake

DESCRIPTION="Khronos OpenCL C++ bindings"
HOMEPAGE="https://github.com/KhronosGroup/OpenCL-CLHPP/"
SRC_URI="https://github.com/KhronosGroup/OpenCL-CLHPP/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="Khronos-CLHPP"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="virtual/opencl"
RDEPEND="${DEPEND}"

S="${WORKDIR}"/OpenCL-CLHPP-${PV}

src_configure() {
local mycmakeargs=(
-DBUILD_DOCS=OFF
-DBUILD_EXAMPLES=OFF
-DBUILD_TESTS=OFF
)
cmake_src_configure
}

+ 1
- 0
dev-libs/gjs/Manifest View File

@@ -1,3 +1,4 @@
DIST gjs-1.64.4.tar.xz 422496 BLAKE2B a96211f7240336dbb30c6965e405f59ee72e4288842837da8da8c6d3c59b7e04ebb6c7a8b0b02d38601c162ffdf1a1fef9f13e4db720c4c483f4a39dffd5dbb4 SHA512 21a15d7106ad6584fb1f02cb0a0a4cab211a3540adb8f2c03d35c211e3946b81935000a52351fedd95a18a7ff6b7f96e665fcafa3c411ff79f2b6cb332c82b42
DIST gjs-1.66.2.tar.xz 440184 BLAKE2B 8df23470c763d65733c6fb622a1de8b8fed3e16c1ba67883b6ae0e7150a5a30a334735be39f9c68217501b7674fee8bfce6ab704c0742ae639a1bc14cdce4cd8 SHA512 2e0ca24532b3203a55089eb25de19b4b4f33166f40d1231198947057e45f364d3c7f794ff2079c1d9aee3fde9f99cd844944229d89d5e344a97254aaa42bad40
DIST gjs-1.68.0.tar.xz 553044 BLAKE2B 6103299bb9ec67589393b0a863219b1bb08ebf141229574f07bb4984a2fb226f4daf4324038e9143f98048d0a2997805b93f7f408bae5ef727435c787e3b98f0 SHA512 65278ca345f2c786995bed7755dd86403b469eb6cceaa6db57dbd4af212025a3b1f01b7387f45dc9abc23d47ba2f39c5ab8a90ec95b1934f1471a68a06f0d82d
DIST gjs-1.68.1.tar.xz 558920 BLAKE2B f5364fe92ddf4cb1e9b5dac5921fa180ed31bfe54ba8ad737e31c5f8a7f19d7e47bad07d7ca088e6e5962b2782a774b985b607214a7381a8b6c54e799df97235 SHA512 bce2f84e748dd483e0c907e7f7f230257aa4b216b76e89c3457ebba5e9bf601dcb5c771ebe864df22255e221876c6e7ee3097328e6f52ef78360f49708ff457a

+ 49
- 0
dev-libs/gjs/gjs-1.68.1.ebuild View File

@@ -0,0 +1,49 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit gnome.org meson virtualx

DESCRIPTION="Javascript bindings for GNOME"
HOMEPAGE="https://wiki.gnome.org/Projects/Gjs"

LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
SLOT="0"
IUSE="+cairo examples gtk readline sysprof test"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-libs/glib-2.66.0
dev-libs/libffi:=
>=dev-libs/gobject-introspection-1.66.1:=
dev-lang/spidermonkey:78
cairo? ( x11-libs/cairo[X,svg] )
readline? ( sys-libs/readline:0= )
"
DEPEND="${RDEPEND}
sysprof? ( >=dev-util/sysprof-capture-3.38.1:4 )
test? ( sys-apps/dbus
>=x11-libs/gtk+-3.20:3[introspection] )
"
BDEPEND="
virtual/pkgconfig
"

src_configure() {
# FIXME: add systemtap/dtrace support, like in glib:2
local emesonargs=(
$(meson_feature cairo)
$(meson_feature readline)
$(meson_feature sysprof profiler)
-Dinstalled_tests=false
$(meson_use !test skip_dbus_tests)
$(meson_use !test skip_gtk_tests)
)
meson_src_configure
}

src_test() {
virtx meson_src_test
}

+ 1
- 1
dev-libs/imath/imath-3.0.1.ebuild View File

@@ -14,7 +14,7 @@ HOMEPAGE="https://imath.readthedocs.io"
SRC_URI="https://github.com/AcademySoftwareFoundation/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
# re-keywording needed for (according to ilmbase keywords):
# ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x64-macos ~x86-solaris
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~amd64 ~ia64 ~x86 ~amd64-linux ~x86-linux"
S="${WORKDIR}/${MY_PN}-${PV}"

LICENSE="BSD"


+ 0
- 2
dev-libs/libunibreak/Manifest View File

@@ -1,4 +1,2 @@
DIST libunibreak-4.0.tar.gz 629403 BLAKE2B 067d09bd48c5381ebef1f3a0ca488732e216234e45977d5c2eee181c9c98b435a7e4030fb5bdbd83035a7937c2107ec05f78dc33158ec64297511d24e329f03d SHA512 43da73f66fabd8fdef444c5a06ad1800464a0aeab590938522d6c19973950a242f2ccc0575a93d10d87bdcf82610452117ac081ddb73f47271a8c2a65897e11c
DIST libunibreak-4.1.tar.gz 642497 BLAKE2B 79a09cc19e72bcf98605f3c49649c2d0753774825e737e0682ff4b67d4908be748b81b6ba79827ccc2032b7c5284fc2dd932d61d6775cae841888d6ee4a77b70 SHA512 f02a94b1c1757c0321f112ef9b44a17fc9f73c9ec6041f263bb55fe8ec44e5599c6061c4e1f6f92ca9069b282e5a8e40d90dcceaf04b6e2ed6ae948f104e1ce2
DIST libunibreak-4.2-1.tar.gz 643399 BLAKE2B 620e904113730078a8e74a09594b9e18c63768a926df433b4a251767fd492ae11c0954e97a4d94db577956a621f075bc6743535bdc67f9c5151243f304b33bf4 SHA512 26bbff1203dde9ffdc2b9046727ab7698f5693c1eb898c819ee83d0c97fbfd32b9dc7c4406dea29fff6642b2678fee74a1307aa5c9c3279f65484eb080ae1e2d
DIST libunibreak-4.3.tar.gz 639886 BLAKE2B ec044b659f1a837b4e6627067b96a6f19ee8302602d635e1e32aab9533486b5cd063aa99114c6443ede9d76d3f382d7492eac8b52b84a4baa2ccd9c2129e79d8 SHA512 4b53fd169912033403b6ca09047b7b928211fab3607ef26070ab731054138b9a291f7d138d3a479f9cde8edb0fabf8da114da68aee32e60cddf45cc3baae1170

+ 0
- 55
dev-libs/libunibreak/libunibreak-4.1.ebuild View File

@@ -1,55 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Line and word breaking library"
HOMEPAGE="http://vimgadgets.sourceforge.net/libunibreak/"
SRC_URI="https://github.com/adah1972/${PN}/releases/download/${PN}_$(ver_rs 1- '_')/${P}.tar.gz"

LICENSE="ZLIB"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
IUSE="doc +man static-libs"

# Tests require internet access to www.unicode.org
RESTRICT="test"

BDEPEND="man? ( app-doc/doxygen )"
RDEPEND="!dev-libs/liblinebreak"

src_prepare() {
if use man; then
echo 'GENERATE_MAN=YES' >> Doxyfile || die
echo 'GENERATE_HTML=NO' >> Doxyfile || die
fi
default
}

src_configure() {
econf $(use_enable static-libs static)
}

src_compile() {
default
if use man; then
doxygen || die 'doxygen failed'
pushd "${S}"/doc/man > /dev/null
mv man3 x || die
mkdir man3 || die
for h in graphemebreak linebreak linebreakdef unibreakbase unibreakdef wordbreak; do
mv x/${h}.h.3 man3/ || die "man ${h} not found"
done
rm -rf x || die
popd > /dev/null
fi
}

src_install() {
use doc && HTML_DOCS=( doc/html/. )
default
find "${D}" -name '*.la' -delete || die
if use man; then
doman doc/man/man3/*.3
fi
}

+ 0
- 55
dev-libs/libunibreak/libunibreak-4.2.ebuild View File

@@ -1,55 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Line and word breaking library"
HOMEPAGE="http://vimgadgets.sourceforge.net/libunibreak/"
SRC_URI="https://github.com/adah1972/${PN}/releases/download/${PN}_$(ver_rs 1- '_')-1/${P}-1.tar.gz"

LICENSE="ZLIB"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
IUSE="doc +man static-libs"

# Tests require internet access to www.unicode.org
RESTRICT="test"

BDEPEND="man? ( app-doc/doxygen )"
RDEPEND="!dev-libs/liblinebreak"

src_prepare() {
if use man; then
echo 'GENERATE_MAN=YES' >> Doxyfile || die
echo 'GENERATE_HTML=NO' >> Doxyfile || die
fi
default
}

src_configure() {
econf $(use_enable static-libs static)
}

src_compile() {
default
if use man; then
doxygen || die 'doxygen failed'
pushd "${S}"/doc/man > /dev/null
mv man3 x || die
mkdir man3 || die
for h in graphemebreak linebreak linebreakdef unibreakbase unibreakdef wordbreak; do
mv x/${h}.h.3 man3/ || die "man ${h} not found"
done
rm -rf x || die
popd > /dev/null
fi
}

src_install() {
use doc && HTML_DOCS=( doc/html/. )
default
find "${D}" -name '*.la' -delete || die
if use man; then
doman doc/man/man3/*.3
fi
}

+ 1
- 0
dev-libs/opencl-icd-loader/Manifest View File

@@ -1 +1,2 @@
DIST opencl-icd-loader-2020.06.16.tar.gz 60478 BLAKE2B e80bb051868842356a22141dc624a93a9e473673dc5b78e01d54b76c309c1deea256ae1fdf1e1777ea8842ffc33d3b92ab8b6fbe64454cbbf2ea0306523f0bfd SHA512 3cba77a0334976e27aeb60f3f29919b7b8e70ed1ea1d53e278a2873149a6b291323b19292e7a51a1decb27b304395ced22d400c1f750088f8a006c21d42fe94c
DIST opencl-icd-loader-2021.04.29.tar.gz 81650 BLAKE2B 399aa3cf3b3fd5fa5bef94302face8630f7b3485c01000960687f77c823311a28f9f867f929c4c03ec873b724ae02e1ecbbe974fe3ddddf4334064609cb61b51 SHA512 4b57a168fe75cced8162e173bc1f5d32fd11285a0443478f938ace1b88f6422007d05ab6bfb272a28838129122ffcd98d33634a55e82b9df84be0b6d4e609178

+ 40
- 0
dev-libs/opencl-icd-loader/opencl-icd-loader-2021.04.29.ebuild View File

@@ -0,0 +1,40 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

CMAKE_ECLASS=cmake
inherit cmake-multilib flag-o-matic

MY_PN="OpenCL-ICD-Loader"
MY_P="${MY_PN}-${PV}"

DESCRIPTION="Official Khronos OpenCL ICD Loader"
HOMEPAGE="https://github.com/KhronosGroup/OpenCL-ICD-Loader"
SRC_URI="https://github.com/KhronosGroup/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"

RESTRICT="!test? ( test )"

DEPEND=">=dev-util/opencl-headers-2021.04.29
!dev-libs/ocl-icd"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${MY_P}"

multilib_src_configure() {
local mycmakeargs=(
-DBUILD_TESTING=$(usex test)
-DOPENCL_ICD_LOADER_HEADERS_DIR="${EPREFIX}/usr/include"
)
cmake_src_configure
}

multilib_src_test() {
OCL_ICD_FILENAMES="${BUILD_DIR}/test/driver_stub/libOpenCLDriverStub.so" \
cmake_src_test
}

+ 24
- 0
dev-libs/openct/files/openct-0.6.20-automake.patch View File

@@ -0,0 +1,24 @@
From 86abf3cbddbdc590dbb2ff5b0bda263e42595b88 Mon Sep 17 00:00:00 2001
From: Alon Bar-Lev <alon.barlev@gmail.com>
Date: Wed, 10 Oct 2012 08:48:02 +0000
Subject: [PATCH] build: fix issue with latest automake

---
etc/Makefile.am | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/etc/Makefile.am b/etc/Makefile.am
index ff66d4e..dc00f47 100644
--- a/etc/Makefile.am
+++ b/etc/Makefile.am
@@ -30,8 +30,8 @@ dist_noinst_DATA += openct.usermap
endif
-sysconf_DATA=#required in order to create dir
-install-exec-hook: install-sysconfDATA openct.conf
+install-exec-hook: openct.conf
+ $(MKDIR_P) "$(DESTDIR)$(sysconfdir)"
if [ -f "$(DESTDIR)$(sysconfdir)/openct.conf" ]; then \
$(INSTALL_DATA) openct.conf "$(DESTDIR)$(sysconfdir)/openct.conf.new"; \
else \

+ 34
- 0
dev-libs/openct/files/openct-0.6.20-slibtool.patch View File

@@ -0,0 +1,34 @@
From f329c2663bde748d4a8fc462a1ea7bbc4ab47b36 Mon Sep 17 00:00:00 2001
From: Alon Bar-Lev <alon.barlev@gmail.com>
Date: Fri, 27 Sep 2013 23:27:24 +0300
Subject: [PATCH] build: use newer libtool -shared option

Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
---
src/ctapi/Makefile.am | 2 +-
src/pcsc/Makefile.am | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/ctapi/Makefile.am b/src/ctapi/Makefile.am
index 25627a3..c837820 100644
--- a/src/ctapi/Makefile.am
+++ b/src/ctapi/Makefile.am
@@ -8,4 +8,4 @@ libopenctapi_la_LIBADD = $(top_builddir)/src/ct/libopenct.la
libopenctapi_la_CFLAGS = $(AM_CFLAGS) \
-I$(top_srcdir)/src/include \
-I$(top_builddir)/src/include
-libopenctapi_la_LDFLAGS = -avoid-version -no-undefined --module
+libopenctapi_la_LDFLAGS = -avoid-version -no-undefined -module -shared
diff --git a/src/pcsc/Makefile.am b/src/pcsc/Makefile.am
index 9986621..6aff8b8 100644
--- a/src/pcsc/Makefile.am
+++ b/src/pcsc/Makefile.am
@@ -5,7 +5,7 @@ lib_LTLIBRARIES = openct-ifd.la
endif
openct_ifd_la_SOURCES = pcsc.c
-openct_ifd_la_LDFLAGS = -module -avoid-version -no-undefined
+openct_ifd_la_LDFLAGS = -module -shared -avoid-version -no-undefined
openct_ifd_la_LIBADD = $(PCSC_LIBS) $(top_builddir)/src/ctapi/libopenctapi.la
openct_ifd_la_CFLAGS = $(AM_CFLAGS) \
-I$(top_srcdir)/src/include \

+ 11
- 1
dev-libs/openct/openct-0.6.20-r4.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

inherit flag-o-matic udev user
inherit autotools flag-o-matic udev user

DESCRIPTION="library for accessing smart card terminals"
HOMEPAGE="https://github.com/OpenSC/openct/wiki"
@@ -21,11 +21,21 @@ RDEPEND="pcsc-lite? ( >=sys-apps/pcsc-lite-1.7.2-r1:= )
DEPEND="${RDEPEND}"
BDEPEND="doc? ( app-doc/doxygen )"

PATCHES=(
"${FILESDIR}"/${P}-automake.patch
"${FILESDIR}"/${P}-slibtool.patch
)

pkg_setup() {
enewgroup openct
enewuser openctd
}

src_prepare() {
default
eautoreconf
}

src_configure() {
use debug && append-cppflags -DDEBUG_IFDH



+ 11
- 1
dev-libs/openct/openct-0.6.20-r5.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

inherit flag-o-matic udev
inherit autotools flag-o-matic udev

DESCRIPTION="library for accessing smart card terminals"
HOMEPAGE="https://github.com/OpenSC/openct/wiki"
@@ -27,6 +27,16 @@ RDEPEND="
"
BDEPEND="doc? ( app-doc/doxygen )"

PATCHES=(
"${FILESDIR}"/${P}-automake.patch
"${FILESDIR}"/${P}-slibtool.patch
)

src_prepare() {
default
eautoreconf
}

src_configure() {
use debug && append-cppflags -DDEBUG_IFDH



BIN
dev-ml/Manifest.gz View File


+ 1
- 1
dev-ml/alcotest/alcotest-1.2.3-r3.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/mirage/alcotest/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"

RDEPEND="


+ 1
- 1
dev-ml/astring/astring-0.8.5.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://erratique.ch/software/astring/releases/${P}.tbz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"

OCAML_DEP=">=dev-lang/ocaml-4.05.0:="
BDEPEND="


+ 1
- 1
dev-ml/async_kernel/async_kernel-0.14.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"

RDEPEND="


+ 1
- 1
dev-ml/async_unix/async_unix-0.14.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g

LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"

RDEPEND="


+ 1
- 1
dev-ml/duration/duration-0.1.3.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/hannesm/duration/archive/${PV}.tar.gz -> ${P}.tar.gz

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-ml/fmt/fmt-0.8.9-r1.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://erratique.ch/software/fmt/releases/${P}.tbz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-ml/logs/logs-0.7.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://erratique.ch/software/logs/releases/${P}.tbz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+fmt cli +lwt test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-ml/mirage-clock/mirage-clock-3.1.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/mirage/mirage-clock/archive/v${PV}.tar.gz -> ${P}.ta

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"

BDEPEND="dev-ml/dune-configurator"

+ 1
- 1
dev-ml/mtime/mtime-1.1.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://erratique.ch/software/mtime/releases/${P}.tbz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-ml/opam-file-format/opam-file-format-2.1.2.ebuild View File

@@ -15,7 +15,7 @@ SRC_URI="https://github.com/ocaml/opam-file-format/archive/${MY_PV}.tar.gz -> ${

LICENSE="LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-ml/uuidm/uuidm-0.9.7.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/dbuenzli/uuidm/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ppc64 ~x86"
IUSE="+ocamlopt"

BDEPEND="


+ 1
- 1
dev-perl/Alien-Base-ModuleBuild/Alien-Base-ModuleBuild-1.150.0.ebuild View File

@@ -9,7 +9,7 @@ inherit perl-module

DESCRIPTION="A Module::Build subclass for building Alien:: modules and their libraries"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"



+ 1
- 1
dev-perl/Alien-Build/Alien-Build-2.380.0.ebuild View File

@@ -10,7 +10,7 @@ inherit perl-module

DESCRIPTION="Build external dependencies for use in CPAN"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
IUSE="minimal test zip"
RESTRICT="!test? ( test )"



Some files were not shown because too many files changed in this diff

Loading…
Cancel
Save